Bug 1459179 - Smbclient doesn't list Domain, OS and Server information
Smbclient doesn't list Domain, OS and Server information
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Andreas Schneider
Andrej Dzilský
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 09:19 EDT by Andrej Dzilský
Modified: 2017-08-01 14:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: samba-4.6.2-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 14:21:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 12824 None None None 2017-06-06 11:08 EDT

  None (edit)
Comment 5 Andreas Schneider 2017-06-13 05:39:56 EDT
I've fixed it but you should not rely on that information. It is only available if you connect using SMB1. With SMB2 or SMB3 this information is currently not available and it is likely that it will be removed in future.

So you should probably file a bug that you fix your test cases after RHEL 7.4.0.
Comment 10 Andreas Schneider 2017-06-21 09:22:58 EDT
Using smbclient -m NT1 is correct, but the value for the domain might not be provided by the DC. You shouldn't rely on that information.
Comment 11 Andrej Dzilský 2017-06-21 09:30:05 EDT
Okay, I understand. Thanks Andreas.
Comment 12 errata-xmlrpc 2017-08-01 14:21:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1950

Note You need to log in before you can comment on or make changes to this bug.